
import Taro from '@tarojs/taro'
export default defineAppConfig({
  pages: [
    'pages/index/index',
    'pages/member/index',
    "pages/mine/index",
  ],
  subpackages: [
  ],
  navigateToMiniProgramAppIdList: [
    "ttf31985a46c214faf"
  ],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#FFFFFF',
    navigationBarTitleText: '鱼市',
    navigationBarTextStyle: 'black',
    backgroundColor: "#FFFFFF"
  },
  tabBar: {
    color: "#C6C6C6",
    selectedColor: "#0F84EC",
    borderStyle: "black",
    backgroundColor: "#FFFFFF",
    list: [
      {
        pagePath: "pages/index/index",
        iconPath: "images/nav/play.png",
        selectedIconPath: "images/nav/play_pin.png",
        text: "首页"
      },
      {
        pagePath: "pages/member/index",
        iconPath: "images/nav/like.png",
        selectedIconPath: "images/nav/like_pin.png",
        text: "会员"

      },

      {
        pagePath: "pages/mine/index",
        iconPath: "images/nav/my.png",
        selectedIconPath: "images/nav/my_pin.png",
        text: "我的"
      }
    ]
  },
})
