import { Component } from 'react'
import { View, Image, Button, Input } from '@tarojs/components'
import { AtIcon } from 'taro-ui'
import './index.less'

export default class Index extends Component {
  state = {
    value: ''
  }

  handleChange (value) {
    this.setState({ value })
  }

  componentWillMount () { }

  componentDidMount () { }

  componentWillUnmount () { }

  componentDidShow () { }

  componentDidHide () { }

  render () {
    return (
      <View className='index'>
        <View className='header'>
          <View className='header-content'>
            <Image className='header-img' src='https://video-img.fyshark.com/1731495433480WechatIMG674.jpg' />
          </View>
          <View className='search-wrap'>
            <View className='search-bar'>
              <AtIcon className='search-icon' value='search' size='24' color='#ACACAC'></AtIcon>
              <Input
                type='text'
                className='search-input'
                placeholder='夏季男士T恤'
                value={this.state.value}
                onInput={this.handleChange.bind(this)}
              />
              <View className='search-button'>
                搜索
              </View>
            </View>
          </View>
        </View>
      </View>
    )
  }
}
